package com.gamedog.vididin.beans


import com.ama.core.model.BaseFragmentStateDiffItem
import kotlinx.serialization.Serializable




@Serializable
data class ResYoutubePlayList (
    val videos: List<YoutubeVideo>,
)


@Serializable
data class YoutubeVideo(
    val id: String,
    val channel_title: String,
    val description: String,
) : BaseFragmentStateDiffItem {
    override fun getPrimaryKey() = id
    override fun getItemId() = id.hashCode().toLong()
}